Bug 1374738 - Aodh auth_url has trailing version
Summary: Aodh auth_url has trailing version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: Pradeep Kilambi
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-09 13:45 UTC by Yurii Prokulevych
Modified: 2016-12-14 16:00 UTC (History)
5 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.0.0-0.20160907212643.90c852e.1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:00:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC

Description Yurii Prokulevych 2016-09-09 13:45:34 UTC
Description of problem:
-----------------------
While using autoscaling got next error:

2016-09-09 11:22:47.337 13708 ERROR wsme.api [-] Server-side error: "Cannot use v2 authentication with domain scope". Detail: 
Traceback (most recent call last):

  File "/usr/lib/python2.7/site-packages/wsmeext/pecan.py", line 80, in callfunction
    pecan.request.body, pecan.request.content_type

  File "/usr/lib/python2.7/site-packages/wsme/rest/args.py", line 295, in get_args
    from_body = args_from_body(funcdef, body, mimetype)

  File "/usr/lib/python2.7/site-packages/wsme/rest/args.py", line 241, in args_from_body
    body, datatypes, bodyarg=funcdef.body_type is not None

  File "/usr/lib/python2.7/site-packages/wsme/rest/json.py", line 266, in parse
    kw = {argname: fromjson(datatypes[argname], jdata)}

  File "/usr/lib/python2.7/site-packages/simplegeneric.py", line 63, in dispatch
    return f(*args, **kw)

  File "/usr/lib/python2.7/site-packages/wsme/rest/json.py", line 160, in fromjson
    return wsme.types.validate_value(datatype, obj)

  File "/usr/lib/python2.7/site-packages/wsme/types.py", line 370, in validate_value
    return datatype.validate(value)

  File "/usr/lib/python2.7/site-packages/aodh/api/controllers/v2/alarms.py", line 279, in validate
    ALARMS_RULES[alarm.type].plugin.validate_alarm(alarm)

  File "/usr/lib/python2.7/site-packages/aodh/api/controllers/v2/alarm_rules/gnocchi.py", line 144, in validate_alarm
    cls).validate_alarm(alarm)

  File "/usr/lib/python2.7/site-packages/aodh/api/controllers/v2/alarm_rules/gnocchi.py", line 54, in validate_alarm
    if aggregation_method not in cls._get_aggregation_methods():

  File "/usr/lib/python2.7/site-packages/aodh/api/controllers/v2/alarm_rules/gnocchi.py", line 76, in _get_aggregation_methods
    raise GnocchiUnavailable(e)

GnocchiUnavailable: Cannot use v2 authentication with domain scope



Version-Release number of selected component (if applicable):
openstack-aodh-api-3.0.0-0.20160820003735.858f55c.el7ost.noarch
openstack-aodh-common-3.0.0-0.20160820003735.858f55c.el7ost.noarch
python-aodh-3.0.0-0.20160820003735.858f55c.el7ost.noarch
openstack-aodh-evaluator-3.0.0-0.20160820003735.858f55c.el7ost.noarch
puppet-aodh-9.1.0-0.20160822221805.75161dd.el7ost.noarch
openstack-aodh-listener-3.0.0-0.20160820003735.858f55c.el7ost.noarch
python-aodhclient-0.6.0-0.20160802210136.65d2e62.el7ost.noarch
openstack-aodh-notifier-3.0.0-0.20160820003735.858f55c.el7ost.noarch

puppet-aodh-9.1.0-0.20160822221805.75161dd.el7ost.noarch


openstack-tripleo-heat-templates-5.0.0-0.20160823140311.72404b.1.el7ost.noarch
openstack-tripleo-common-5.0.0-0.20160823132420.be5b0d3.el7ost.noarch
openstack-tripleo-0.0.1-0.20160817001035.04d3c80.el7ost.noarch
openstack-tripleo-puppet-elements-5.0.0-0.20160809165922.703eeea.el7ost.noarch
puppet-tripleo-5.0.0-0.20160823145616.c16ae9c.el7ost.noarch
python-tripleoclient-5.0.0-0.20160823121648.2a9a168.el7ost.noarch
openstack-tripleo-image-elements-5.0.0-0.20160810171527.98b9c6a.el7ost.noarch

Additional info:
----------------
Removing version auth_url helped:
#auth_url = http://192.0.2.10:5000/v2.0
auth_url = http://192.0.2.10:5000

Comment 1 Pradeep Kilambi 2016-09-09 14:35:25 UTC
this is already fixed :) ..

https://review.openstack.org/#/c/365117/

Comment 3 Yurii Prokulevych 2016-10-05 16:28:04 UTC
Verified with openstack-tripleo-heat-templates-5.0.0-0.20160929150845.4cdc4fc.el7ost.noarch

$ grep ^auth_url /etc/aodh/aodh.conf 
auth_url=http://192.0.2.15:35357
auth_url = http://172.17.1.15:5000

Comment 6 errata-xmlrpc 2016-12-14 16:00:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.